﻿@{
    ViewBag.Title = "Tienda";
}
@model IPagedList<EMartVG.Models.Producto>
@using PagedList.Mvc;
@using PagedList;

<div id="demo" class="carousel slide" data-ride="carousel">
    <ul class="carousel-indicators">
        <li data-target="#demo" data-slide-to="0" class="active"></li>
        <li data-target="#demo" data-slide-to="1"></li>
        <li data-target="#demo" data-slide-to="2"></li>
    </ul>
    <div class="carousel-inner">
        <div class="carousel-item">
            <img src="@Url.Content("~/Content/Img/flyer1.jpg")" style="width: 100%; height: 100%;" alt="Nintento Switch">
        </div>
        <div class="carousel-item active">
            <img src="@Url.Content("~/Content/Img/flyer2.jpg")" style="width: 100%; height: 100%;" alt="Play Station 5">
        </div>
        <div class="carousel-item">
            <img src="@Url.Content("~/Content/Img/flyer3.jpg")" style="width: 100%; height: 100%;" alt="Xbox">
        </div>
    </div>
    <a class="carousel-control-prev" href="#demo" data-slide="prev">
        <span class="carousel-control-prev-icon"></span>
    </a>
    <a class="carousel-control-next" href="#demo" data-slide="next">
        <span class="carousel-control-next-icon"></span>
    </a>
</div>

<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="background-color:black">
        <li class="breadcrumb-item"><a href="~/Home" style="color:white">Home</a></li>
        <li class="breadcrumb-item active" aria-current="~/Home/tienda">@ViewBag.Title </li>
    </ol>
</nav>

<div class="row">

    @foreach (var item in Model)
    {
        int id = item.Id_Producto;

        <div class="col-xl-4 col-md-6" style="margin-bottom:30px">

            <div class="card" style="width: 18rem; background-color:black;margin-left:auto; margin-right:auto ; ">

                <a href="@Url.Content("~/ProductoVenta/DetalleProducto/"+id.ToString())" style="color:inherit; text-decoration: none;">
                    <h5 class="card-title" style="color:white"> @Html.DisplayFor(modelItem => item.Nombre_Producto)</h5>
                    <img class="card-img-top" src="@Url.Content(item.Imagen_Producto)" alt="Card image cap">
                    <div class="card-body">
                        @{
                            int displayPrecio = (int)item.Precio_Producto;
                        }
                        <h4 class="card-title font-weight-bolder" style="color:white;text-align:right;"><span class="font-weight-bold" style="font-size:80%"></span> @displayPrecio.ToString("C")</h4>
                    </div>
                </a>
            </div>
        </div>
    }
</div>
<ul class="pagination">
    @Html.PagedListPager(Model, i => Url.Action("Index", "Home", new { i, pageSize = Model.PageSize }))
</ul>